Bug 351791 - .dmrc gets ignored at GDM login screen
.dmrc gets ignored at GDM login screen
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-25 01:27 EDT by Michael Beckwith
Modified: 2009-01-09 00:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:00:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Beckwith 2007-10-25 01:27:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20071023 Fedora/ Firefox/

Description of problem:
"$HOME/.dmrc ignored and prevents default session and lanuage from saving. File should be owned by user and have 644 permissions. $HOME should be owned by user and not writable by others." Error started occuring shortly after installing the Fluxbox window manager. I have tried changing the permissions on the file but it still comes back next time I restart my computer and try to log in. I have to choose what session I want each time.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start up F8T3
2. log in
3. hit ok to clear listed error after selecting session.

Actual Results:
error message with quoted text above

Expected Results:

Additional info:
Comment 1 Charlie Bennett 2008-01-07 21:21:26 EST
This can be due to one or two situations:

1. .dmrc permissions make it writable by other users (generally a bad thing)
2. ~ is writable by other users (often a desirable thing)

To get this lovely piece of NANNY-WARE to *shut* *up*, do this:

chmod 700 ~
chmod 600 ~/.dmrc

Note that the requirement for mode 700 on ~ flies in the face of the way
some people may wish to use the 'group' permissions as documented in
Ken Thompson's "The UNIX Timesharing System" (see

Hi Ray!
Comment 2 Bug Zapper 2008-11-26 03:06:04 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-01-09 00:00:15 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.